%define major 8
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %name

Summary: Library and tool to control NAT in UPnP-enabled routers
Name: miniupnpc
Version: 1.6
%define subrel 1
Release: %mkrel 3
License: LGPLv2+
Group: System/Libraries
URL: http://miniupnp.free.fr/
Source: http://miniupnp.free.fr/files/%{name}-%{version}.tar.gz
Patch0: miniupnpc-1.6-link.patch
Patch1: miniupnpc-1.6-install-headers.patch
Patch2: miniupnpc-1.8-DoS-fix.patch
BuildRequires: cmake

%description
miniupnpc is an implementation of a UPnP client library, enabling
applications to access the services provided by an UPnP "Internet
Gateway Device" present on the network. In UPnP terminology, it is
a UPnP Control Point.

%package -n %{libname}
Summary: Library and tool to control NAT in UPnP-enabled routers
Group: System/Libraries

%description -n %{libname}
miniupnpc is an implementation of a UPnP client library, enabling
applications to access the services provided by an UPnP "Internet
Gateway Device" present on the network. In UPnP terminology, it is
a UPnP Control Point.

%package -n %{develname}
Summary: Header files, libraries and development documentation for miniupnpc
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname} 
This package contains the header files and development documentation for
miniupnpc. If you like to develop programs using miniupnpc, you will need
to install miniupnpc-devel.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p2

%build
%cmake -DUPNPC_BUILD_STATIC=OFF -DUPNPC_BUILD_TESTS=OFF
%make

%install
rm -rf %buildroot

%makeinstall_std -C build

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.*.*

%files -n %{develname}
%{_includedir}/miniupnpc
%{_libdir}/*.so


%changelog
* Wed May 14 2014 luigiwalser <luigiwalser> 1.6-3.1.mga3
+ Revision: 622819
- add upstream patch to fix DoS issue (mga#13374)

* Sat Jan 12 2013 umeabot <umeabot> 1.6-3.mga3
+ Revision: 360104
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 07 2011 fwang <fwang> 1.6-2.mga2
+ Revision: 132178
- commit header patch
- update header list
- imported package miniupnpc

